## fonts-smc 6.0

=== Makefile ===
#!/usr/bin/make -f

fontpath=/usr/share/fonts/truetype/malayalam
fonts=AnjaliOldLipi Dyuthi Kalyani Meera Rachana RaghuMalayalamSans Suruma

version = 6.0

default: clean compile
all: clean compile test webfonts

compile:
	# generate ttf files from sfd files
	for font in `echo ${fonts}`;do \
		./generate.pe $${font}/$${font}.sfd; \
	done;

install: compile
	# copy ttf files to system font directory
	for font in `echo ${fonts}`;do \
		install -D -m 0644  $${font}/$${font}.ttf \
			${DESTDIR}/${fontpath}/$${font}.ttf;\
	done;

	# copy fontconfig configuration files to system fontconfig
	# configuration directory
	install -D -m 0644 malayalam-fonts.conf\
	 	${DESTDIR}/etc/fonts/conf.avail/67-malayalam-fonts.conf
	if [ ! -d ${DESTDIR}/etc/fonts/conf.d ]; then\
		mkdir ${DESTDIR}/etc/fonts/conf.d; \
	fi;

	ln -sf ../conf.avail/67-malayalam-fonts.conf\
		${DESTDIR}/etc/fonts/conf.d/67-malayalam-fonts.conf

uninstall:
	# remove fonts from system font directories
	@for font in `echo ${fonts}`;do \
		if [ -f ${DESTDIR}/${fontpath}/$${font}.ttf ]; then\
			rm -f ${DESTDIR}/${fontpath}/$${font}.ttf;\
		fi \
	done;

	# remove fontconfig configuration files from system fontconfig
	# configuration directory
	if [ -f ${DESTDIR}/etc/fonts/conf.d/67-malayalam-fonts.conf ]; then \
	rm ${DESTDIR}/etc/fonts/conf.d/67-malayalam-fonts.conf; fi

	if [ -f ${DESTDIR}/etc/fonts/conf.avail/67-malayalam-fonts.conf ];then \
		rm ${DESTDIR}/etc/fonts/conf.avail/67-malayalam-fonts.conf;\
	fi

	if [ -d ${DESTDIR}/${fontpath} -a -z "$(ls -A ${DESTDIR}/${fontpath})" ];\
	then \
		rmdir ${DESTDIR}/${fontpath};\
	fi

clean:
	# remove ttf fonts
	for font in `echo ${fonts}`;do \
		if [ -f $${font}/$${font}.ttf ];then\
			rm -f $${font}/$${font}.ttf;\
		fi \
	done;
	@rm -rf tests/*.pdf webfonts sdist ignore-file;

test: compile
	# Test the fonts
	for font in `echo ${fonts}`;do \
		echo "Testing font $${font}";\
		hb-view $${font}/$${font}.ttf --debug\
		 --text-file tests/tests.txt --output-file tests/$${font}.pdf; \
	done

webfonts: compile
	# generate webfonts
	for font in `echo ${fonts}`;do \
		mkdir -p webfonts/$${font}; \
		sfntly -w $${font}/$${font}.ttf\
			webfonts/$${font}/$${font}.woff; \
		sfntly -e -x $${font}/$${font}.ttf\
		 webfonts/$${font}/$${font}.eot; \
		echo "Webfonts generated for $${font}"; \
	done
sdist: $(fonts) ChangeLog Makefile generate.pe malayalam-fonts.conf
	echo ".git\nignore-file" > ignore-file
	tar --owner root --group root --mode a+rX \
		-X ignore-file -cvf - . | xz -9 >\
		 ../malayalam-fonts-$(version).tar.xz
	touch "$@"

## fonts-smc 5.0

=== debian/changelog ===
fonts-smc (5.0-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * debian/control:
    + Updated Breaks: ttf-malayalam-fonts (<< 2:1.0) for correct upgrade.
    + Bumped Standards-Version to 3.9.3
  * debian/copyright:
    + Wrapped up license text.
    + Updated debian/* copyright.
  * Removed empty debian/docs file.

 -- Kartik Mistry <kartik@debian.org>  Thu, 08 Mar 2012 23:31:27 +0530

fonts-smc (4.5.1-1) unstable; urgency=low

  * Team Upload
  * This package is split from ttf-malayalam fonts

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sun, 19 Feb 2012 20:15:53 +0530

=== debian/control ===
Source: fonts-smc
Section: fonts
Priority: optional
Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>
Build-Depends: debhelper (>= 8.0.0),
               fontforge
Standards-Version: 3.9.3
Homepage: http://savannah.nongnu.org/projects/smc
Vcs-Git: git://git.debian.org/debian-in/fonts-smc.git
Vcs-Browser: http://git.debian.org/?p=debian-in/fonts-smc.git;a=summary

Package: fonts-smc
Architecture: all
Depends: ${misc:Depends}
Breaks: ttf-malayalam-fonts (<< 2:1.0)
Replaces: ttf-malayalam-fonts
Description: Various TrueType fonts for Malayalam Language
 This package provides various TrueType fonts for Malayalam script
 which is primarily used in the state of Kerala. These fonts are
 developed by SMC community. Following fonts are shipped with this
 package:
  * AnjaliOldLipi
  * Dyuti
  * Kalyani
  * Meera
  * Rachana
  * RaghuMalaylamSans
  * Suruma

Package: fonts-mlym-udeb
Package-Type: udeb
Architecture: all
Section: debian-installer
Breaks: ttf-malayalam-fonts-udeb
Replaces: ttf-malayalam-fonts-udeb
Depends: ${misc:Depends}
Description: Free fonts for Malayalam language (udeb)
 This package provides Malayalam script font for use with GTK+ front-end
 of debian-installer.

## fonts-smc 5.0.1

=== debian/changelog ===
fonts-smc (5.0.1-2) unstable; urgency=low

  * debian/rules:
    + Introduced xz compression for deb file.
  * debian/control:
    + Added Pre-Depends dpkg (>= 1.15.6~) for xz compression.
  * wrap-and-sort control and install files.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sat, 23 Jun 2012 00:55:22 +0530

fonts-smc (5.0.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * debian/rules:
    + Fixed permission of generate.pe file.

 -- Kartik Mistry <kartik@debian.org>  Sun, 25 Mar 2012 13:05:13 +0530

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
 Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>
-Build-Depends: debhelper (>= 8.0.0),
-               fontforge
+Build-Depends: debhelper (>= 8.0.0), fontforge
 Standards-Version: 3.9.3
 Homepage: http://savannah.nongnu.org/projects/smc
 Vcs-Git: git://git.debian.org/debian-in/fonts-smc.git
@@ -13,6 +12,7 @@
 Package: fonts-smc
 Architecture: all
 Depends: ${misc:Depends}
+Pre-Depends: dpkg (>= 1.15.6~)
 Breaks: ttf-malayalam-fonts (<< 2:1.0)
 Replaces: ttf-malayalam-fonts
 Description: Various TrueType fonts for Malayalam Language

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	chmod +x generate.pe
	dh $@

override_dh_builddeb:
	dh_builddeb -- -Zxz -Sextreme -z9

=== debian/watch ===
version=3
http://mirror.veriportal.com/savannah/smc/fonts/malayalam-fonts-(.*)\.tar\.gz

## fonts-smc 6.0

=== debian/changelog ===
fonts-smc (6.0-1) unstable; urgency=low

  * New upstream release.
    Closes: bug#730753, #661923, #661924, #661925, #661929.
  * Convert package to use CDBS.
  * Drop the debian-compatible-makefile.patch and use upstream makefile as
    is.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sat, 30 Nov 2013 16:33:23 +0530

fonts-smc (5.0.1-5) unstable; urgency=low

  * Remove the obsolete conffiles using dpkg-maintscript-helpers.
    Closes: bug#726081, Thanks to Paul Wise.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sat, 26 Oct 2013 15:43:45 +0530

fonts-smc (5.0.1-4) unstable; urgency=low

  * forgot to commit .install and .links file in last commit now it comes in
  * Use download.savannah.gnu.org in watch instead of using mirror URL.
  * Marked the package as multi-arch foreign.
  * Bumped standards-version to 3.9.4.
  * Bumped debhelper required for build to >= 9.
  * Bumped compat level to 9.
  * Use canonical anonscm.d.o URL for Vcs-* fields.
  * Dropped override for dh_builddeb to use xz compression, with dpkg 1.17
    xz is used by default to compress data.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sun, 08 Sep 2013 21:46:21 +0530

fonts-smc (5.0.1-3) unstable; urgency=low

  * debian/install:
    + Fixed the install path, previous path was creating an extra
      directory under /etc/fonts/conf.avail.
  * debian/links:
    + File was introduced to link malayalam-fonts.conf file from
      /etc/fonts/conf.avail to 65-0-fonts-smc.conf under /etc/fonts/conf.d

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sat, 20 Oct 2012 11:24:50 +0530

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,18 @@
 Priority: optional
 Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
 Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>
-Build-Depends: debhelper (>= 8.0.0), fontforge
-Standards-Version: 3.9.3
+Build-Depends: cdbs,
+ debhelper (>= 9~),
+ devscripts,
+ fontforge
+Standards-Version: 3.9.4
 Homepage: http://savannah.nongnu.org/projects/smc
-Vcs-Git: git://git.debian.org/debian-in/fonts-smc.git
-Vcs-Browser: http://git.debian.org/?p=debian-in/fonts-smc.git;a=summary
+Vcs-Git: git://anonscm.debian.org/debian-in/fonts-smc.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-in/fonts-smc.git
 
 Package: fonts-smc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Pre-Depends: dpkg (>= 1.15.6~)
 Breaks: ttf-malayalam-fonts (<< 2:1.0)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/upstream-tarball.mk

include /usr/share/cdbs/1/class/makefile.mk

pkg = fonts-smc

DEB_UPSTREAM_URL = http://download.savannah.gnu.org/releases/smc/fonts
DEB_UPSTREAM_PACKAGE = malayalam-fonts
DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_PACKAGE)-$(DEB_UPSTREAM_VERSION)
DEB_UPSTREAM_TARBALL_EXTENSION = tar.xz
#DEB_UPSTREAM_TARBALL_MD5 = 

CDBS_BUILD_DEPENDS += fontforge

# make target to invoke
DEB_MAKE_INSTALL_TARGET = compile

# supress dh-buildinfo from build-depends
CDBS_BUILD_DEPENDS_rules_debhelper_buildinfo=

# Ignore these files while generating copyright hints
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = (.pdf|debian/(changelog|copyright(|_hints|_newhints)))

=== debian/watch ===
version=3
http://download.savannah.gnu.org/releases/smc/fonts/malayalam-fonts-(.*)\.tar\.gz

## fonts-smc 7.0

=== debian/changelog ===
fonts-smc (1:7.0) unstable; urgency=low

  [ Balasankar C ]
  * Team upload.
  * Split and make fonts-smc a metapackage.
    - Make it depend all individual font packages.
    - Convert it into a native package and set version and epoch accordingly.
  * Convert package to use dh.
  * Drop Vasudev Kamath from Uploaders list and add Balasankar C.
  * Drop fonts-smc-kalyani: Not maintained anymore.

  [ Kartik Mistry ]
  * debian/control:
    + Updated to Standards-Version 4.0.0
    + Updated Vcs-* fields.
    + Updated description.

 -- Balasankar C <balasankarc@autistici.org>  Wed, 30 Aug 2017 18:02:55 +0530

=== debian/control ===
Source: fonts-smc
Section: fonts
Priority: optional
Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
Uploaders: Balasankar C <balasankarc@autistici.org>
Build-Depends: debhelper (>= 9~)
Standards-Version: 4.0.0
Homepage: https://smc.org.in
Vcs-Git: https://anonscm.debian.org/git/debian-in/fonts-smc.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-in/fonts-smc.git

Package: fonts-smc
Architecture: all
Multi-Arch: foreign
Depends: fonts-smc-anjalioldlipi (>= 7.0),
         fonts-smc-chilanka (>= 1.2.0),
         fonts-smc-dyuthi (>= 2.0),
         fonts-smc-karumbi (>= 1.0),
         fonts-smc-keraleeyam (>= 2.0),
         fonts-smc-manjari (>= 1.0.0),
         fonts-smc-meera (>= 7.0),
         fonts-smc-rachana (>= 7.0),
         fonts-smc-raghumalayalamsans (>= 2.1.1),
         fonts-smc-suruma (>= 3.2.1),
         fonts-smc-uroob (>= 2.0),
         ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6~)
Breaks: ttf-malayalam-fonts (<< 2:1.0)
Replaces: ttf-malayalam-fonts
Description: Metapackage for various TrueType fonts for Malayalam Language
 This is a metapackage which provides various TrueType fonts for Malayalam
 script  which is primarily used in the state of Kerala. These fonts are
 developed by SMC community. Following fonts are shipped with this
 package:
  * AnjaliOldLipi
  * Chilanka
  * Dyuti
  * Karumbi
  * Keraleeyam
  * Manjari
  * Meera
  * Rachana
  * RaghuMalaylamSans
  * Suruma
  * Uroob

## fonts-smc 7.1

=== debian/changelog ===
fonts-smc (1:7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 12:28:29 +0800

=== debian/control ===
Source: fonts-smc
Section: fonts
Priority: optional
Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
Uploaders: Balasankar C <balasankarc@debian.org>
Build-Depends: debhelper (>= 9~)
Standards-Version: 4.0.0
Homepage: https://smc.org.in
Vcs-Git: https://anonscm.debian.org/git/debian-in/fonts-smc.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-in/fonts-smc.git

Package: fonts-smc
Architecture: all
Multi-Arch: foreign
Depends: fonts-smc-anjalioldlipi (>= 7.1.2),
         fonts-smc-chilanka (>= 1.400),
         fonts-smc-dyuthi (>= 3.0.2),
         fonts-smc-gayathri (>= 1.100),
         fonts-smc-karumbi (>= 1.1.2),
         fonts-smc-keraleeyam (>= 3.0.2),
         fonts-smc-manjari (>= 1.710),
         fonts-smc-meera (>= 7.0.3),
         fonts-smc-rachana (>= 7.0.2),
         fonts-smc-raghumalayalamsans (>= 2.2.1),
         fonts-smc-suruma (>= 3.2.2),
         fonts-smc-uroob (>= 2.0.2),
         ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6~)
Breaks: ttf-malayalam-fonts (<< 2:1.0)
Replaces: ttf-malayalam-fonts
Description: Metapackage for various TrueType fonts for Malayalam Language
 This is a metapackage which provides various TrueType fonts for Malayalam
 script  which is primarily used in the state of Kerala. These fonts are
 developed by SMC community. Following fonts are shipped with this
 package:
  * AnjaliOldLipi
  * Chilanka
  * Dyuti
  * Gayathri
  * Karumbi
  * Keraleeyam
  * Manjari
  * Meera
  * Rachana
  * RaghuMalaylamSans
  * Suruma
  * Uroob

## fonts-smc 7.2

=== debian/changelog ===
fonts-smc (1:7.2) unstable; urgency=low

  * Team upload.
  * debian/control:
    + Updated Vcs-* URLs.
    + Updated Standards-Version to 4.5.0
    + Switched to debhelper-compat.
    + Updated Maintainer to Debian Fonts Task Force.
    + Updated description.
    + Added 'Rules-Requires-Root' field.
  * Added debian/gitlab-ci.yml.
  * Fixed filename: debian/NEWS.Debian -> debian/NEWS.
  * Updated debian/copyright.

 -- Kartik Mistry <kartik@debian.org>  Wed, 24 Jun 2020 17:40:23 +0530

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: fonts-smc
 Section: fonts
 Priority: optional
-Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
+Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Balasankar C <balasankarc@debian.org>
-Build-Depends: debhelper (>= 9~)
-Standards-Version: 4.0.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.0
 Homepage: https://smc.org.in
-Vcs-Git: https://anonscm.debian.org/git/debian-in/fonts-smc.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-in/fonts-smc.git
+Vcs-Git: https://salsa.debian.org/fonts-team/fonts-smc.git
+Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-smc
+Rules-Requires-Root: no
 
 Package: fonts-smc
 Architecture: all
@@ -30,9 +31,11 @@
 Replaces: ttf-malayalam-fonts
 Description: Metapackage for various TrueType fonts for Malayalam Language
  This is a metapackage which provides various TrueType fonts for Malayalam
- script  which is primarily used in the state of Kerala. These fonts are
- developed by SMC community. Following fonts are shipped with this
- package:
+ script which is primarily used in the state of Kerala.
+ .
+ These fonts are developed by SMC community. Following fonts are shipped with
+ this package:
+ .
   * AnjaliOldLipi
   * Chilanka
   * Dyuti

## fonts-smc 7.4

=== debian/changelog ===
fonts-smc (1:7.4) unstable; urgency=low

  * Removed unused Lintian override.
  * debian/control:
    + Updated Standards-Version to 4.6.1

 -- Kartik Mistry <kartik@debian.org>  Wed, 06 Jul 2022 11:57:22 +0530

fonts-smc (1:7.3) unstable; urgency=low

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.

  [ Kartik Mistry ]
  * Team upload.
  * Updated Standards-Version to 4.6.0

 -- Kartik Mistry <kartik@debian.org>  Fri, 04 Mar 2022 10:57:54 +0530

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: fonts
 Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
-Uploaders: Balasankar C <balasankarc@debian.org>
+Uploaders: Balasankar C <balasankarc@debian.org>,
+           Kartik Mistry <kartik@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://smc.org.in
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-smc.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-smc

## fonts-smc 7.5

=== debian/changelog ===
fonts-smc (1:7.5) unstable; urgency=low

  [ Kartik Mistry ]
  * Removed obsolete debian/NEWS.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + fonts-smc: Drop versioned constraint on fonts-smc-manjari and
      fonts-smc-suruma in Depends.
    + fonts-smc: Drop versioned constraint on dpkg in Pre-Depends.

 -- Kartik Mistry <kartik@debian.org>  Tue, 22 Nov 2022 17:23:27 +0530

=== debian/control ===
--- 
+++ 
@@ -20,14 +20,13 @@
          fonts-smc-gayathri (>= 1.100),
          fonts-smc-karumbi (>= 1.1.2),
          fonts-smc-keraleeyam (>= 3.0.2),
-         fonts-smc-manjari (>= 1.710),
+         fonts-smc-manjari,
          fonts-smc-meera (>= 7.0.3),
          fonts-smc-rachana (>= 7.0.2),
          fonts-smc-raghumalayalamsans (>= 2.2.1),
-         fonts-smc-suruma (>= 3.2.2),
+         fonts-smc-suruma,
          fonts-smc-uroob (>= 2.0.2),
          ${misc:Depends}
-Pre-Depends: dpkg (>= 1.15.6~)
 Breaks: ttf-malayalam-fonts (<< 2:1.0)
 Replaces: ttf-malayalam-fonts
 Description: Metapackage for various TrueType fonts for Malayalam Language

## fonts-smc 7.5build1

=== debian/changelog ===
fonts-smc (1:7.5build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 01 Dec 2025 11:31:19 +0100

## fonts-smc 7.6

=== debian/changelog ===
fonts-smc (1:7.6) unstable; urgency=low

  * debian/control:
    + Updated Standards-Version to 4.7.3
    + Removed redundant fields.
  * Updated debian/copyright.

 -- Kartik Mistry <kartik@debian.org>  Tue, 17 Feb 2026 11:27:56 +0530

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: fonts-smc
 Section: fonts
-Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Balasankar C <balasankarc@debian.org>,
            Kartik Mistry <kartik@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.1
+Standards-Version: 4.7.3
 Homepage: https://smc.org.in
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-smc.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-smc
-Rules-Requires-Root: no
 
 Package: fonts-smc
 Architecture: all
